SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 
Changelog for python3-bsddb3-6.2.6-lp152.1.3.x86_64.rpm :

* Mon Jul 23 2018 tchvatalAATTsuse.com- Version Update to 6.2.6:
* Correctly detect berkley db
* Python 3.7 tested and explicitly supported
* Thu May 10 2018 toddrme2178AATTgmail.com- Update to 6.2.5
* We should be able to install inside a PYPY virtualenv. Reported by Zhihao Yuan.- Use license tag
* Thu Aug 31 2017 toddrme2178AATTgmail.com- Update to 6.2.4:
* More complete fix for pkgsrc.- Update to 6.2.3:
* Update copyright notices.
* Solve a conflict between different installations of Berkeley DB on some pkgsrc configurations.- Update to 6.2.2:
* Correctly detect Berkeley DB installations in SmartOS native zones.
* \"Probably\" (not tested) correctly detect Berkeley DB in pkgsrc systems.- Update to 6.2.1:
* Correctly detect Berkeley DB installations in modern 64 bits Debians.- Update to 6.2.0:
* Support Berkeley DB 6.2.x.
* Declare Python 3.5 support for PyPI.
* Drop support for Python 3.2. If you need compatibility with that version, you can keep using old releases of these bindings.
* Drop support for Berkeley DB 5.0, 5.2 and 6.0. If you need compatibility with those versions, you can keep using old releases of these bindings.- Update to 6.1.1:
* Compatibility with Python 3.5.
* Code cleanup after dropping Python 2.4/2.5 support.
* PGP key changed.
* Support for DB_FORCESYNCENV flag in \"DB_ENV.close()\".
* Support for DB_LOG_NOSYNC flag in \"DB_ENV.log_set_config()\".
* Fix tests under Windows. See https://bugs.python.org/issue22943 .
* Solve an incorrect parameter verification with the \"DB.compact()\" method call.
* Solve a compilation warning when compiling the bindings for Python 3.5 and Berkeley DB 4.8, 5.0 or 5.1.
* Thu Aug 24 2017 jmatejekAATTsuse.com- singlespec auto-conversion
* Mon Jul 28 2014 mlinAATTsuse.com- Packaged licenses.txt LICENSE.txt README.txt
* Fri Jul 25 2014 mlinAATTsuse.com- Update to 6.1.0. Changes from 6.0.0
* Support Berkeley DB 6.1.x.
* Solve a ResourceWarning when compiling.
* Drop support for Python 2.4, 2.5 and 3.1. If you need compatibility with those versions, you can keep using old releases of these bindings.
* Drop support for Berkeley DB 4.3, 4.4, 4.5, 4.6. If you need compatibility with those versions, you can keep using old releases of these bindings.
* From now, on our support reference is Red Had Enterprise Linux 6.
* Drop modules attributes \"cvsid\".
* Drop (hidden) $Id$ keyword in the documentation.
* Clarification of license. This work is now explicitly licensed under 3-clause BSD license.
* Fixed a long standing bug (August 2008, rev 9fd52748fa59) on \"dbtables.py\".
* If you want to link with Oracle Berkeley DB 6.0, you will need to create the environment variable \'YES_I_HAVE_THE_RIGHT_TO_USE_THIS_BERKELEY_DB_VERSION\' to signal to the pybsddb that you are legal. To be legal, your code MUST be AGPL3
*OR
* you have to buy a commercial license from Oracle.- Change license to BSD-3-Clause according to upstream changes- Removed python-bsddb3.keyring and .asc file
* Sat Jun 22 2013 jengelhAATTinai.de- Update to new upstream release 6.0.0
* Support for BDB 6.0.19
* HEADS UP: If you are using \"bsddb3._bsddb\" in your code, for example for exceptions, change it to \"bsddb3._db\".- Removed bsddb3-db6.diff (rendered obsolete)
* Sat Jun 15 2013 jengelhAATTinai.de- Add bsddb3-db6.diff to make setup[23].py look for BDB 6.0- Signature verification
* Wed Jan 16 2013 mlinAATTsuse.com- Removed BuildArch: noarch macro
* Mon Jan 14 2013 saschpeAATTsuse.de- Simplify macro usage